> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Connects

export const ConnectExpandQueryParam = () => {
  const fields = [{
    name: 'accounts',
    description: <>Expand the full <a href="/reference/accounts/overview">Account</a> object(s) returned in the response.</>
  }, {
    name: 'accounts.balance',
    description: <>Expand the <a href="/reference/accounts/balances/overview#balances-objects">Balance</a> object on the Account.</>
  }, {
    name: 'accounts.card_brand',
    description: <>Expand the <a href="/reference/accounts/card-brands/overview#cardbrand-objects">CardBrand</a> object on the Account.</>
  }, {
    name: 'accounts.attribute',
    description: <>Expand the <a href="/reference/accounts/attributes/overview#attribute-objects">Attribute</a> object on the Account.</>
  }, {
    name: 'accounts.update',
    description: <>Expand the <a href="/reference/accounts/updates/overview#update-objects">Update</a> object on the Account.</>
  }, {
    name: 'accounts.payment_instrument',
    description: <>Expand the <a href="/reference/accounts/payment-instruments/overview#paymentinstrument-objects">PaymentInstrument</a> object on the Account.</>
  }, {
    name: 'accounts.latest_verification_session',
    description: <>Expand the <a href="/reference/accounts/verification-sessions/overview#accountverificationsession-objects">AccountVerificationSession</a> object on the Account.</>
  }];
  return {
    name: 'expand',
    type: 'enum[]',
    description: <>
        Optional fields to expand in the response. You can expand the full <code>accounts</code> object on its own, or expand specific subfields like <code>accounts.balance</code>.
        If a subfield is requested, the parent <code>accounts</code> object will also be expanded automatically.
      </>,
    enums: fields
  };
};

export const get_common_parameters = (resource_name = 'resource') => {
  return {
    id: {
      name: 'id',
      type: "string",
      required: false,
      description: `Unique identifier for the ${resource_name}.`
    },
    entity_id: {
      name: 'entity_id',
      type: 'string',
      required: false,
      description: 'The ID of the associated Entity.'
    },
    account_id: {
      name: 'account_id',
      type: 'string',
      required: false,
      description: 'The ID of the associated Account.'
    },
    error: {
      name: 'error',
      type: 'object | null',
      required: false,
      description: <>
          An object representing an error that occurred while processing
          this {resource_name}. See <a href={`/reference/errors/${resource_name.replace(/^([A-Z])/, function (match) {
        return match.toLowerCase();
      }).replace(/([A-Z])/g, function (match) {
        return "-" + match.toLowerCase();
      })}-errors`}>{resource_name} errors</a>.
        </>
    },
    status_error: {
      name: 'status_error',
      type: 'object | null',
      required: false,
      description: <>
          An object representing an error that occurred while processing
          this {resource_name}. See <a href="/reference/errors/product-errors#status-errors">{resource_name} errors</a>.
        </>
    },
    metadata: {
      name: 'metadata',
      type: 'object | null',
      required: false,
      description: <>
          Additional data provided during creation.
          See <a href="/reference/metadata">metadata</a>
        </>
    },
    created_at: {
      name: 'created_at',
      type: 'string',
      required: false,
      description: `Timestamp of when the ${resource_name} was created.`
    },
    updated_at: {
      name: 'updated_at',
      type: 'string',
      required: false,
      description: `Timestamp of when the ${resource_name} was last updated.`
    },
    status: (enums = []) => ({
      name: 'status',
      type: 'enum',
      required: false,
      description: `Status of the ${resource_name}.`,
      enums
    }),
    type: (enums = []) => ({
      name: 'type',
      type: 'enum',
      required: false,
      description: `The type of ${resource_name}.`,
      enums
    })
  };
};

export const get_pagination_defaults = (resource_name = 'records') => [{
  name: 'from_date',
  type: 'string',
  required: false,
  description: `ISO 8601 formatted date (YYYY-MM-DD) to filter for ${resource_name} created on or after the date provided.`
}, {
  name: 'to_date',
  type: 'string',
  required: false,
  description: `ISO 8601 formatted date (YYYY-MM-DD) to filter for ${resource_name} created on or before the date provided.`
}, {
  name: 'page',
  type: 'string',
  required: false,
  description: `The page number to return.`
}, {
  name: 'page_cursor',
  type: 'string',
  required: false,
  description: <>
        The ID of a resource from which a page should start or end. Mutually exclusive with <code>page</code>.
      </>
}, {
  name: 'page_limit',
  type: 'string',
  required: false,
  description: `The number of ${resource_name} to return per page. Default and maximum is 100.`
}];

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Retrieve a list of Connects for a specific Entity.

## Path Parameters

<ParamList
  items={[
{
name: 'ent_id',
type: 'string',
required: true,
description: 'ID of the Entity.',
}
]}
/>

## Query Parameters

<ParamList
  items={[
...get_pagination_defaults('Connects'),
]}
/>

{(() => {
const { name, type, description, enums } = ConnectExpandQueryParam();
return (
  <ParamList
    items={[
      { name, type, description, enums },
    ]}
  />
);
})()}

## Returns

Returns a list of Connects.

<RequestExample>
  ```bash cURL theme={null}
  curl "https://production.methodfi.com/entities/ent_yVf3mkzbhz9tj/connect" \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const response = await method
    .entities('ent_yVf3mkzbhz9tj')
    .connect
    .list();
  ```

  ```python Python theme={null}
  response = method
    .entities('ent_yVf3mkzbhz9tj')
    .connect
    .list()
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": [
      {
        "id": "cxn_4ewMmBbjYDMR4",
        "entity_id": "ent_qKNBB68bfHGNA",
        "status": "completed",
        "accounts": [
          "acc_eKKmrXDpJBKgw",
          "acc_GV8WbmJW7KGRy",
          "acc_MLPKh9gQDDbT8",
          "acc_LbXE8wVYJLrKt",
          "acc_J3P9fayDFjpAy",
          "acc_eFFRV9zmpLREK"
        ],
        "requested_products": [],
        "requested_subscriptions": [],
        "error": null,
        "created_at": "2024-04-12T14:56:46.645Z",
        "updated_at": "2024-04-12T14:56:46.645Z"
      },
      {...}
    ],
    "message": null
  }
  ```
</ResponseExample>
